Bug 252736 - [NEW PORT] editor/linux-wps-office: Complete office suite with PDF editor
Summary: [NEW PORT] editor/linux-wps-office: Complete office suite with PDF editor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://www.wps.com/
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-01-16 12:58 UTC by Martin Filla
Modified: 2021-06-18 06:57 UTC (History)
7 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
wps-office.shar (392.96 KB, text/plain)
2021-01-16 12:58 UTC, Martin Filla
no flags Details
wps-office.shar (392.96 KB, text/plain)
2021-01-16 12:59 UTC, Martin Filla
freebsd: maintainer-approval+
Details
wps-office.shar (392.96 KB, text/plain)
2021-01-16 16:02 UTC, Martin Filla
no flags Details
committer proposed patch (393.32 KB, patch)
2021-06-09 22:42 UTC, Guangyuan Yang
no flags Details | Diff
committer proposed patch v2 (393.32 KB, patch)
2021-06-10 12:20 UTC, Guangyuan Yang
ygy: maintainer-approval+
Details | Diff
app segfault under Linux (757.64 KB, video/webm)
2021-06-11 08:19 UTC, Guangyuan Yang
no flags Details
committer proposed patch v3 (393.15 KB, patch)
2021-06-11 08:50 UTC, Guangyuan Yang
no flags Details | Diff
committer proposed patch v4 (394.14 KB, patch)
2021-06-11 09:37 UTC, Guangyuan Yang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2021-01-16 12:58:21 UTC
Created attachment 221626 [details]
wps-office.shar

Hi,
this is linux new port wps-office.
Comment 1 Martin Filla 2021-01-16 12:59:24 UTC
Created attachment 221627 [details]
wps-office.shar
Comment 2 Martin Filla 2021-01-16 16:02:55 UTC
Created attachment 221633 [details]
wps-office.shar
Comment 3 Alexey Dokuchaev freebsd_committer 2021-03-25 07:06:47 UTC
Port directory should be changed to `editor/linux-wps-office' and PKGNAMEPREFIX=linux- added to the Makefile.  Take a look at other Linux binary ports we have in the tree for reference.
Comment 4 Alexey Dokuchaev freebsd_committer 2021-03-25 07:10:44 UTC
(In reply to Alexey Dokuchaev from comment #3)
Correction: editors (plural), of course, but then again, I'm sure that it is the best category for big and complex integrated office suites that contain far more than a simple text editor.
Comment 5 Guangyuan Yang freebsd_committer 2021-05-30 11:21:42 UTC
(In reply to Martin Filla from comment #0)

After a quick fix of the plist (missing one line) and some trimming, I got wps running - thanks! I found that the entry point is not correct though:

➜ ~ wps
wps does not exist!
➜ ~ which wps
/usr/local/bin/wps

I need to run /compat/linux/opt/kingsoft/wps-office/office6/wps directly to get it open. Could you fix this?
Comment 6 Guangyuan Yang freebsd_committer 2021-06-09 22:42:10 UTC
Created attachment 225678 [details]
committer proposed patch
Comment 7 Guangyuan Yang freebsd_committer 2021-06-09 22:47:40 UTC
(In reply to Martin Filla from comment #0)

Hi Martin,

I uploaded my proposed patch that is based on what you had and with several issues fixed, including:

- fixing plist
- fixing entry script prefixes and desktop files (post-patch)
- fixing et executable permissions
- other style and infra tweaks

Please review it, so that I can commit it with your approval. Thanks!
Comment 8 Guangyuan Yang freebsd_committer 2021-06-10 12:20:06 UTC
Created attachment 225696 [details]
committer proposed patch v2

Minor nit update, no functional changes
Comment 9 Guangyuan Yang freebsd_committer 2021-06-10 12:22:14 UTC
There is currently an issue that whenever selected Settings -> Settings on the GUI, the whole application segfault. I do believe getting this into the tree first is beneficial though.
Comment 10 Pedro F. Giffuni freebsd_committer 2021-06-10 12:55:31 UTC
Very cool .. thanks!

As a suggestion you may want to add some minimal fonts as run time dependencies.

These three are metrically compatible to Microsoft fonts (I included them in Apache OpenOffice):

x11-fonts/croscorefonts-fonts-ttf
x11-fonts/crosextrafonts-caladea-ttf
x11-fonts/crosextrafonts-carlito-ttf
Comment 11 Pedro F. Giffuni freebsd_committer 2021-06-10 13:14:21 UTC
(In reply to Pedro F. Giffuni from comment #10)
Bah .. defining which fonts are compatible with others may be an issue.
For now just let the port as-is. :)
Comment 12 Pedro F. Giffuni freebsd_committer 2021-06-10 13:18:22 UTC
(In reply to Guangyuan Yang from comment #9)

Added trasz@ as he may want to look at the Settings segfault.
Comment 13 Guangyuan Yang freebsd_committer 2021-06-11 08:18:50 UTC
I did quickly checked the Settings segfault yesterday, then I reproduced it in Linux (Fedora) /facepalm. Please see the demo uploaded.

So, while all other functionalities work perfectly, I think we can just commit it if the patch looks good for everyone :)
Comment 14 Guangyuan Yang freebsd_committer 2021-06-11 08:19:56 UTC
Created attachment 225721 [details]
app segfault under Linux
Comment 15 Guangyuan Yang freebsd_committer 2021-06-11 08:50:39 UTC
Created attachment 225722 [details]
committer proposed patch v3

More cosmetic improvements.
Comment 16 Alexey Dokuchaev freebsd_committer 2021-06-11 09:07:55 UTC
(In reply to Guangyuan Yang from comment #15)
> More cosmetic improvements.
In pkg-descr, I read: "... WPS Word, WPS PDF, WPS Excel & WPS Presentation" -- usage of contractions such as ``&'' is discouraged in port descriptions and should be spelled out as "and" (also, don't forget Oxford comma).
Comment 17 Guangyuan Yang freebsd_committer 2021-06-11 09:37:48 UTC
Created attachment 225725 [details]
committer proposed patch v4

- pkg-descr improvements suggested by danfe@
- Cosmetic fixes for Makefile
- Fix plist issues
Comment 18 commit-hook freebsd_committer 2021-06-11 10:10:09 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3381abb5a8b00f63ef0e98a2a92ec379ded59f69

commit 3381abb5a8b00f63ef0e98a2a92ec379ded59f69
Author:     Guangyuan Yang <ygy@FreeBSD.org>
AuthorDate: 2021-06-11 10:09:20 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-11 10:09:20 +0000

    editors/linux-wps-office: New port: WPS Office for Linux

    WPS Office is a complete office suite with PDF editor.

    PR:             252736
    Submitted by:   Martin Filla <freebsd@sysctl.cz> (in part)
    Approved by:    lwhsu (mentor)

 editors/Makefile                         |    1 +
 editors/linux-wps-office/Makefile (new)  |   60 +
 editors/linux-wps-office/distinfo (new)  |    3 +
 editors/linux-wps-office/pkg-descr (new) |    8 +
 editors/linux-wps-office/pkg-plist (new) | 4275 ++++++++++++++++++++++++++++++
 5 files changed, 4347 insertions(+)
Comment 19 Guangyuan Yang freebsd_committer 2021-06-11 10:24:25 UTC
Thanks everyone!